### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-timeline/ecl-timeline-item-toggler.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-timeline-item-toggler`
templateUrl | `ecl-timeline-item-toggler.component.html`

### Index

###### Methods

- onTogglerClick
- getCssClasses

###### Inputs

- class
- e2eAttr

###### Outputs

- toggle

###### HostListeners

- click

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

toggle
Type : `EventEmitter<any>`

### HostListeners

click
`click()`

### Methods

onTogglerClick
`onTogglerClick()`
Decorators : `@HostListener('click')`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

# results matching ""

# No results matching ""